Further information

LokProgrammer - PC software

Being able to use the LokProgrammer you need a software for your computer. This software is steadily advanced, so stay "up-to-date" and get the latest version of it. The software was developped for Microsoft Windows (Windows XP, 7, 8, 8.1, 10). We cannot grant a proper function in combination with former Windows systems.

LokProgrammer

  • LokProgrammer PC-Software for 4th generation decoders

    Language: , Date: 01.09.16, Version: 4.4.25

    Microsoft .NET Framework 3.5 SP1 is required. The .NET Framework will be installed automatically if the computer is connected to the internet.

    Supported decoders

    LokSound
    • LokSound V4.0
    • LokSound V4.0 M4
    • LokSound V4.0 M4 OEM
    • LokSound micro V4.0
    • LokSound XL V4.0
    • LokSound L V4.0
    • LokSound Select
    • LokSound Select direct / micro
    • LokSound Select OEM
    • LokSound Select L
    • LokSound V3.5
    • LokSound XL V3.5
    • LokSound V3.0 M4
    • LokSound micro V3.5
    LokPilot
    • LokPilot V4.0
    • LokPilot V4.0 DCC
    • LokPilot V4.0 PX
    • LokPilot V4.0 M4
    • LokPilot micro V4.0
    • LokPilot micro V4.0 DCC
    • LokPilot XL V4.0
    • LokPilot Fx V4.0
    • LokPilot Standard V1.0
    • LokPilot V3.0
    • LokPilot V3.0 DCC
    • LokPilot V3.0 M4
    • LokPilot V3.0 OEM
    • LokPilot micro V3.0
    • LokPilot micro V3.0 DCC
    • LokPilot XL V3.0
    • LokPilot Fx V3.0
    • LokPilot Fx micro V3.0
    • LokPilot Basic
    • LokPilot Basic (LA)
    SwitchPilot
    • SwitchPilot
    • SwitchPilot Servo
    • SwitchPilot Servo (MA)
    • SwitchPilot Servo (2013)
    • SwitchPilot V2.0
    • SwitchPilot Servo V2.0
    Sonstige
    • Test coach EHG388
    • Smoke Unit (Gauge 0, G)
    • KM1 Smoke Unit
    • ESU digital interior light

    4.4.24

    • Improved sound slot and phyisical output configuration user interface.
    • Display function icons of the current project to virtual command station.
    • Highlight current state in sound slot simulator.
    • Fixed problems with "changed" state.
    • Improved compatibility with LokSound XL V3.5 (Piko version)
    • New Firmware for ScaleTrains Tenderlight and Digital Interior Lighting.

    4.4.23

    • Fixed a bug where a firmware update could lead to an invalid decoder configuration.

    4.4.22

    • Fixed a bug that caused an invalid LokSound Select configuration when updating from 4.14.9202 or 4.14.9217.

    4.4.21

    • Added new RailComPlus locomotive icons (for Mobile Control II).
    • Fixed firmware version of LokPilot V3.0 FX.
    • Fixed LokPilot V3.0 RailCom settings.
    • Added locomotive address to overview sheet.
    • Fixed "Decoder version n/a is not supported" error.
    • Automatic project type conversion to target decoder. (Can be disabled at Program settings -> Automatic decoder type conversion).
    • Added support for Scale Trains Tender Light.
    • Added support for Club car WGye.
    • Added support for LokPilot Standard Nano V1.0


    Additional informationen

  • LokProgrammer PC-Software for 4th generation decoders

    Language: , Date: 06.06.16, Version: 4.4.23

    Microsoft .NET Framework 3.5 SP1 is required. The .NET Framework will be installed automatically if the computer is connected to the internet.

    Supported decoders

    LokSound
    • LokSound V4.0
    • LokSound V4.0 M4
    • LokSound V4.0 M4 OEM
    • LokSound micro V4.0
    • LokSound XL V4.0
    • LokSound L V4.0
    • LokSound Select
    • LokSound Select direct / micro
    • LokSound Select OEM
    • LokSound Select L
    • LokSound V3.5
    • LokSound XL V3.5
    • LokSound V3.0 M4
    • LokSound micro V3.5
    LokPilot
    • LokPilot V4.0
    • LokPilot V4.0 DCC
    • LokPilot V4.0 PX
    • LokPilot V4.0 M4
    • LokPilot micro V4.0
    • LokPilot micro V4.0 DCC
    • LokPilot XL V4.0
    • LokPilot Fx V4.0
    • LokPilot Standard V1.0
    • LokPilot V3.0
    • LokPilot V3.0 DCC
    • LokPilot V3.0 M4
    • LokPilot V3.0 OEM
    • LokPilot micro V3.0
    • LokPilot micro V3.0 DCC
    • LokPilot XL V3.0
    • LokPilot Fx V3.0
    • LokPilot Fx micro V3.0
    • LokPilot Basic
    • LokPilot Basic (LA)
    SwitchPilot
    • SwitchPilot
    • SwitchPilot Servo
    • SwitchPilot Servo (MA)
    • SwitchPilot Servo (2013)
    • SwitchPilot V2.0
    • SwitchPilot Servo V2.0
    Sonstige
    • Test coach EHG388
    • Smoke Unit (Gauge 0, G)
    • KM1 Smoke Unit
    • ESU digital interior light

    4.4.23

    • Fixed a bug where a firmware update could lead to an invalid decoder configuration.

    4.4.22

    • Fixed a bug that caused an invalid LokSound Select configuration when updating from 4.14.9202 or 4.14.9217.

    4.4.21

    • Added new RailComPlus locomotive icons (for Mobile Control II).
    • Fixed firmware version of LokPilot V3.0 FX.
    • Fixed LokPilot V3.0 RailCom settings.
    • Added locomotive address to overview sheet.
    • Fixed "Decoder version n/a is not supported" error.
    • Automatic project type conversion to target decoder. (Can be disabled at Program settings -> Automatic decoder type conversion).
    • Added support for Scale Trains Tender Light.
    • Added support for Club car WGye.
    • Added support for LokPilot Standard Nano V1.0


    Additional informationen

  • Release Notes

    Language: , Date: 17.03.11, Version: 2.7.9

    Release Notes for LokProgrammer Software V2.7.9

    Additional informationen

  • LokProgrammer PC-Software

    Language: , Date: 13.09.11, Version: 2.7.9

    Supported decoders:
    LokPilot / LokPilotXL
    LokPilotDCC / LokPilotXL DCC
    LokPilot M4
    LokPilot micro
    LokPilot Basic
    LokPilot V2.0 / LokPilotDCC V2.0
    LokPilot V3.0 / LokPilotDCC V3.0
    LokPilot ROCO
    LokPilot V3.0 OEM
    LokPilot V3.0 "Trix" LokSound2
    LokSound3
    LokSound V3.5
    LokSound V3.5 "Trix"
    LokSound micro
    LokSoundXL V1.2
    LokSoundXL V2.0
    LokSoundXL V2.1
    LokSoundXL V3.0
    LokSound V3.0 M4 LokSoundXL V3.0 M4
    mfx Sounddecoder von Märklin
    mfx Sounddecoder XL von Märklin
    SwitchPilot SwitchPilot Servo

    Additional informationen

LokSound Template Pack

  • Sound library for LokProgrammer 4.4.24 or newer

    Language: , Date: 25.08.16, Version: 1.8

    Install this collection of sounds, if you want to add further whistles, horns, bells, station announcements or other sounds to the soundprojects we offer. The LokSound Template Pack includes most of the ESU sounds in a easy to use manner. The LokSound Template Pack works for all LokSound V4.0 decoders in combination with the LokProgrammer software from version 4.2.24.

    Additional informationen

USB Driver

  • USB driver for Windows XP

    Language: , Date: 12.04.10, Version: 1.1.0

    Windows XP driver for the adapter cable shipped with the LokSound Programmer 53450.

    Additional informationen

  • USB driver for FDTI Chipset and Windows XP / Vista / 7 / 8

    Language: , Date: 07.12.12, Version: 1.1.0

    Windows XP / Vista / 7 driver for the adapter cable shipped with the LokSound Programmer 53451. This Driver is for cable with FDTI chipset only. Usually, you don't Need this Driver for Windows 7 or Windows 8 (please try to use the built-in Driver), but if you find Problems you should install this one. Please REMOVE the cable from the Computer Prior to Installation. Also, you will Need Admin rights on your computer to install.

    Additional informationen